# http.get

Retrieves a file via HTTP GET

Syntax

    http.get [switches] <http_url> [save_file_name]

Description
Attempts to download the file at <http_url> by using the HTTP GET protocol. If [save_file_name] is specified, then is is used as save file name, otherwise a save file dialog is displayed (unless -a is used).
Switches

-a=<auto_file_name>
Don't show the savefile dialog but determine automatically a file name. The file is put in the KVIrc incoming directory and the file name is the processed url.
-e=<existing_file_action>

Specifies the action to be taken when the local file already exists.
The action can be one of "i","e","o" or "r".
"i" causes the incoming file to be automatically renamed by appending a non colliding suffix. "e" causes the existing file to be renamed by appending a non colliding suffix (the incoming file will then have its name preserved). "o" causes the existing file to be overwritten and "r" will attempt to resume a interrupted transfer.
The default is to rename the incoming file.

-m=<max_content_length>

Causes content longer than <max_content_length> to be discarded.
This is mainly to prevent you from automatically downloading 300 MB files and to prevent DOS attacks from malicious servers that do not report the Content-length header.
If the Content-length header is reported by the server then the transfer is aborted if the length exceedes <max_content_length>.
If the Content-length header is missing then the transfer is interrupted when the received data length exceeds <max_content_length>.
-m=0 means "accept any content length" (which is the default).

-o=<content_offset>

Causes the download to start from position <content offset>.
This can be used to download only a part of the file starting at byte <content_offset>.
<content_offset> is used regardless if the file is resumed or not. Please note that you don't need to specify the content offset when using -e=r : the offset is automatically calculated. If you specify both -o=<content_offset> and -e=r then the file will be resumed, the transfer will start at the specified offset and the received stream will be appended to the existing file.(avoid it unless you know what you're doing: it's easy to download broken files).

-h
Causes the connection to use the HTTP HEAD method that effectively does not transfer real data. The server sends only the response headers. This might be used in conjunction with the -v option to print the headers to the active window.
-w=<flags>

This switch controls the creation and visualization of the transfer window. <flags> can be any combination of 'm','n' and 'h'. The flag 'h' causes the window to not be created. The transfer will simply run in background. Note that with 'h' the user has no possibility to interact with the transfer. The flag 'm' causes the transfer window to be created as "minimized". 'm' does nothing if the window alread exists. The flag 'n' causes the window to be NOT activated (brought to top).

Main, Commands

KVIrc 3.0.0 Documentation
Generated by root at Sat Oct 16 22:01:45 2004